For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
      • GETList all Accounts
      • POSTCreate an Account
      • GETRetrieve an Account
      • DELRedact an Account
      • PATCHUpdate an Account
      • POSTAdd tag to an Account
      • POSTConsolidate Accounts
      • GETGet all relations for an Account
      • POSTRemove tag from an Account
      • POSTSet tags on an Account
      • POSTRun an account action
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceAccounts

List all Accounts

GET
https://api.withpersona.com/api/v1/accounts
GET
/api/v1/accounts
$curl https://api.withpersona.com/api/v1/accounts \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "act_hpNqyAbEG4HeVjZoBRNCMKkA",
5 "attributes": {
6 "reference-id": "abc-123",
7 "account-type-name": "User",
8 "created-at": "2023-09-22T17:13:49.000Z",
9 "updated-at": "2023-09-23T00:22:19.000Z",
10 "fields": {
11 "name": {
12 "type": "hash",
13 "value": {
14 "first": {
15 "type": "string",
16 "value": "Jane"
17 },
18 "middle": {
19 "type": "string",
20 "value": "Marie"
21 },
22 "last": {
23 "type": "string",
24 "value": "Doe"
25 }
26 }
27 },
28 "address": {
29 "type": "hash",
30 "value": {
31 "street_1": {
32 "type": "string",
33 "value": "123 Main St"
34 },
35 "street_2": {
36 "type": "string"
37 },
38 "subdivision": {
39 "type": "string",
40 "value": "California"
41 },
42 "city": {
43 "type": "string",
44 "value": "San Francisco"
45 },
46 "postal_code": {
47 "type": "string",
48 "value": "94111"
49 },
50 "country_code": {
51 "type": "string",
52 "value": "US"
53 }
54 }
55 },
56 "identification_numbers": {
57 "type": "array",
58 "value": [
59 {
60 "type": "hash",
61 "value": {
62 "identification_class": {
63 "type": "string",
64 "value": "visa"
65 },
66 "identification_number": {
67 "type": "string",
68 "value": "12345678"
69 },
70 "issuing_country": {
71 "type": "string",
72 "value": "US"
73 }
74 }
75 },
76 {
77 "type": "hash",
78 "value": {
79 "identification_class": {
80 "type": "string",
81 "value": "visa"
82 },
83 "identification_number": {
84 "type": "string",
85 "value": "87654321"
86 },
87 "issuing_country": {
88 "type": "string",
89 "value": "UK"
90 }
91 }
92 },
93 {
94 "type": "hash",
95 "value": {
96 "identification_class": {
97 "type": "string",
98 "value": "cct"
99 },
100 "identification_number": {
101 "type": "string",
102 "value": "A12345678"
103 },
104 "issuing_country": {
105 "type": "string",
106 "value": "AF"
107 }
108 }
109 }
110 ]
111 },
112 "birthdate": {
113 "type": "date",
114 "value": "1994-12-30"
115 },
116 "phone_number": {
117 "type": "string",
118 "value": "111-222-3333"
119 },
120 "email_address": {
121 "type": "string",
122 "value": "jane@doe.com"
123 },
124 "selfie_photo": {
125 "type": "file"
126 }
127 },
128 "tags": [
129 "tag1",
130 "tag2"
131 ]
132 },
133 "relationships": {
134 "account-type": {
135 "data": {
136 "id": "acttp_7X5W5w9GMtQntE6oPtKnj44c",
137 "type": "account-type"
138 }
139 }
140 },
141 "type": "account"
142 }
143 ],
144 "links": {
145 "prev": "/api/v1/accounts?page%5Bafter%5D=act_ABC123",
146 "next": "/api/v1/accounts?page%5Bafter%5D=act_hpNqyAbEG4HeVjZoBRNCMKkA"
147 }
148}

Returns a list of your organization’s account(s). Results are returned in reverse chronological order, with the most recently created objects first.

Was this page helpful?
Previous

Create an Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection of Account objects.
datalist of objects
An array of Accounts
linksobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.